Subject: Re: bug#13784: About an Emacs TODO item

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Feb 2013 11:54:12 +0200

> Date: Fri, 22 Feb 2013 16:29:58 +0800
> From: Xue Fuqiao <[email-masked]>
> 
> There is a TODO item in etc/TODO:
> 
>   ** Display something in the margin on lines that have compilation
>      errors.
> 
> Flymake can use a bitmap in the *fringe* to mark lines that an
> error/warning has been reported.  Do we really need to display it in
> the *margin*?

Fringes don't exist on TTY frames, so you'd need to use the margins at
least on those frames.  Margins have another advantage: Lisp programs
can easily display stuff there, whereas to display it on the fringes,
you need to create a bitmap first.  And margins have more space, if
this is important.